#include <iostream>
#include <vector>
using namespace std;

long long int isPossible(vector<long long int>& heights, long long int L) {
    for (long long int i = 0; i < heights.size(); i++) {
        if (heights[i] <= L) return i+1;
    }
    return -1;
}

int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    long long int N, L;
    cin >> N >> L;
    vector<long long int> heights;
    long long int height;
    for (long long int i = 0; i < N; i++) {
        cin >> height;
        heights.push_back(height);
    }

    cout << isPossible(heights, L);
    
}